Developers
API ReferenceStream Item

Export to CSV the collection of StreamItem resources

GET
/stream/items/export-csv

Export to CSV the collection of StreamItem resources

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

showOnlyFromAssignedTasks?boolean
eventId?string
order[triggeredAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[project.number]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[project.name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
exists[ticketId]?boolean
exists[timesheetApprovalId]?boolean
type?string
type[]?array<string>
project?string
project[]?array<string>
stage?string
stage[]?array<string>
board?string
board[]?array<string>
task?string
task[]?array<string>
ticketId?string
ticketId[]?array<string>
timesheetApprovalId?string
timesheetApprovalId[]?array<string>
triggeredBy?string
triggeredBy[]?array<string>
triggeredAt[before]?string
triggeredAt[strictly_before]?string
triggeredAt[after]?string
triggeredAt[strictly_after]?string

Response Body

curl -X GET "https://example.com/stream/items/export-csv"
[  {    "key": "string",    "downloadUrl": "string"  }]